package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.RouteModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 路由
 */
public interface RouteProvider extends SuperProvider {

    default BocloudResult create(RouteModel model) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult delete(RouteModel model) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult modify(RouteModel model) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult list(String routeTableId) {
        return new BocloudResult(false, "暂未开发！");

    }

}
